\NeedsTeXFormat{pLaTeX2e}
%\@obsoletefile{jarticle.cls}{JCSS.sty}
%基本部分はjsarticleを使用
\LoadClass[10pt,a4j,twocolumn,notitlepage]{jsarticle}
%任意のフォントサイズの設定
%\usepackage{type1cm}
\DeclareOption{english}{\inenglish}

%!!! ページ設定変更 (2015/06/11 YD)
%ページ設定(デフォルト：A4サイズ、1行24字＊46行)
%行送り(行数/ページ)の設定
%\renewcommand{\baselinestretch}{1}
%字送り(文字数/行)の設定 (10pt)
\kanjiskip=0zw plus .1zw minus .01zw
\xkanjiskip=0.25em plus 0.15em minus 0.06em
%ページ設定
\paperwidth 210mm%用紙の幅
\paperheight 297mm%用紙の高さ
\voffset -1in%垂直方向のオフセット
\hoffset -1in%水平方向のオフセット
\topmargin 25mm%オフセットからヘッダまでのマージン
\headheight 0mm%ヘッダの高さ
\headsep 0mm%ヘッダと本文領域の間の高さ
\topskip 0mm%本文領域内の本文開始位置までの高さ
\textheight 46\baselineskip%文章領域の高さ
\oddsidemargin 20mm%奇数ページのマージン
\evensidemargin\oddsidemargin%偶数ページのマージン
\columnwidth 24.1zw%コラムの幅
\columnsep 2zw%コラム間の幅
\textwidth 50.2zw%文章領域の幅 (24.1＊2 + 2)

%キャプション位置
\setlength\abovecaptionskip{0zw}
\setlength\belowcaptionskip{.5zw}

\def\@refname{文　献}
\def\@ackname{謝　辞}
\def\@appname{付　録}
\def\@abname{概要}
\def\@kwname{キーワード：}

%タイトルの出力
%!!! 行間変更 (2015/06/08 YD)
\def\@maketitle{%
  \newpage\null
  \begin{center}
  \let\footnote\thanks
   {\fontsize{16pt}{0pt}\selectfont {\bfseries \@title }\par}
   {\fontsize{16pt}{18pt}\selectfont {\bfseries \@etitle }\par}
    \vskip 1zh
    {\large
     \lineskip .5zh
     \@author \par
     \@eauthor \par}%
    \vskip .5zh
    \@affiliation \par
    \@eaffiliation \par
    \@email %
  \end{center}%
  \par\vskip 2zh}

%英語タイトル
\def\etitle#1{\gdef\@etitle{#1}}
%英語著者
\def\eauthor#1{\gdef\@eauthor{#1}}
%著者の所属
\def\affiliation#1{\gdef\@affiliation{#1}}
%英語所属
\def\eaffiliation#1{\gdef\@eaffiliation{#1}}
%メールアドレス
\def\email#1{\gdef\@email{#1}}
%アブストラクト
\def\abstract#1{\gdef\@abstract{#1}}
%キーワード
\def\keywords#1{\gdef\@keywords{#1}}

%アブストラクト、キーワード出力
\newcommand{\makeabstract}{%
      \section*{\@abname}%
      \@abstract \\%
      {\bfseries \@kwname%
      \@keywords%
      }%
}%

%セクションの設定
\def\section{\@startsection {section}{1}{\z@}{1zw plus 1ex minus .2ex}{.1ex plus .2ex}{\large\bf}}
%セクション番号後にピリオド
\renewcommand{\thesection}{\@arabic\c@section .}
\renewcommand{\thesubsection}{\thesection\@arabic\c@subsection }
\renewcommand{\thesubsubsection}{\thesubsection.\@arabic\c@subsubsection }

%!!! 箇条書きの行間変更 (2015/06/11 YD)
\renewcommand\@listi{%
  \leftmargin\leftmargini
  \parsep\z@
  \topsep\z@
  \itemsep\z@}
\let\@listI\@listi
\@listi

%番号付き箇条書きの設定
\renewenvironment{enumerate}
  {
  \ifnum \@enumdepth >\thr@@\@toodeep\else
   \advance\@enumdepth\@ne
   \edef\@enumctr{enum\romannumeral\the\@enumdepth}%
   \list{\csname label\@enumctr\endcsname}{%
      \iftdir
         \ifnum \@listdepth=\@ne \topsep\z@
           \else\topsep\z@\fi
         \labelwidth1zw \labelsep.3zw
         \ifnum \@enumdepth=\@ne \leftmargin1zw\relax
           \else\leftmargin\leftskip\fi
         \advance\leftmargin 1zw
      \fi
         \parskip-1.zw \itemsep\z@ \parsep\z@
         \usecounter{\@enumctr}%
         \def\makelabel##1{\hss\llap{##1}}}%
   \fi 
   }{\endlist}

%項目箇条書きの設定
\renewenvironment{itemize}
  {
  \ifnum \@itemdepth >\thr@@\@toodeep\else
   \advance\@itemdepth\@ne
   \edef\@itemitem{labelitem\romannumeral\the\@itemdepth}%
   \expandafter
   \list{\csname \@itemitem\endcsname}{%
      \iftdir
         \ifnum \@listdepth=\@ne \topsep\z@
           \else\topsep\z@\fi
         \labelwidth1zw \labelsep.3zw
         \ifnum \@itemdepth =\@ne \leftmargin1zw\relax
           \else\leftmargin\leftskip\fi
         \advance\leftmargin 1zw
      \fi
         \parskip-1.zw \itemsep\z@ \parsep\z@ \partopsep\z@  
         \def\makelabel##1{\hss\llap{##1}}}%
   \fi }{\endlist}

%見出し付き箇条書きの設定
\renewenvironment{description}
  {\list{}{\labelwidth\z@ \itemindent-\leftmargin
   \iftdir
     \leftmargin\leftskip \advance\leftmargin3\Cwd
     \rightmargin\rightskip
     \labelsep=1zw 
   \fi
   \itemsep\z@
     \listparindent\z@ \topskip\z@ \parskip-1.zw \partopsep\z@
           \let\makelabel\descriptionlabel}}{\endlist}         

%引用文献関係
\newskip\bibleftmargin
\bibleftmargin=15pt

\def\thebibliography#1{%
  \section*{\refname}%
  \nobreak\@nobreaktrue\vskip5pt
  \list{}{%
    \labelsep=0pt
    \labelwidth=0pt
    \leftmargin=\bibleftmargin
    \itemindent=-\bibleftmargin
    \itemsep .01in}%
%% *** (M.H.)
  \footnotesize\baselineskip=10pt
  \def\newblock{\hskip .11em plus .33em minus .07em}%
  \sloppy\clubpenalty4000\widowpenalty4000
  \def~{\penalty\@M
    \hskip\fontdimen\tw@\font plus\fontdimen\thr@@\font
    minus\fontdimen\tw@\font\relax}%
  \def\ {\hskip\fontdimen\tw@\font plus\fontdimen\thr@@\font
    minus\fontdimen\tw@\font\relax}%
  \sfcode`\.=1000\relax}

\let\endthebibliography=\endlist
\def\refname{\hskip1zw\@refname}

\def\@lbibitem[#1]#2{\def\BBA{\BBAA}\item[\@biblabel{#1}]\if@filesw
      { \def\BBA{\string\BBA}%
        \def\protect##1{\string ##1\space}\immediate
        \write\@auxout{\string\bibcite{#2}{#1}}%
	\def\BBA{\BBAA}}\fi\ignorespaces}

% Year is separately handled by \Y<citation key>
\def\bibcite#1#2{\global\expandafter\def\csname b@#1\endcsname{#2}% names
    \global\expandafter\def\csname Y@#1\endcsname{\@year@#2}}% year
\def\@year@\BCAY#1#2#3{#3}

% first author of a multi-author reference?
\newif\if@F@cite\@F@citetrue

\def\cite{\def\BCAY##1##2##3{\BCA{##2}{##2}}%
    \@ifnextchar<{\@cite}{\@cite<>}}

\def\fullcite{\def\BCAY##1##2##3{\BCA{##1}{##1}}%
    \@ifnextchar<{\@cite}{\@cite<>}}

\def\shortcite{\def\BCAY##1##2##3{\BCA{##2}{##2}}%
    \@ifnextchar<{\@cite}{\@cite<>}}

\def\@cite<#1>{\@ifnextchar[{\def\@BBN{\BBN}\@@cite<#1>}%
                             {\def\@BBN{\ignorespaces}\@@cite<#1>[]}}
\def\@@cite<#1>[#2]#3{%
    \if@filesw\immediate\write\@auxout{\string\citation{#3}}\fi%
    \edef\@citeP{}%
%    \BBOP{\ignorespaces#1\space}%
    \BBOP{\ignorespaces#1\BAP}%
    \@for\@citeb:=#3\do{%
    \@ifundefined{b@\@citeb}%
     {\expandafter\def\csname b@\@citeb\endcsname{?}%
      \expandafter\def\csname Y@\@citeb\endcsname{?}%
      \@warning{Citation `\@citeb' on page \thepage\space undefined}%
     }%
     {\@ifundefined{flag@\@citeb}%
      {\global\expandafter\def\csname flag@\@citeb\endcsname{DUMMY}%
       \def\BCA##1##2{##1}}%
      {\def\BCA##1##2{##2}}%
     }%
    \edef\B@my@dummy{\csname b@\@citeb\endcsname}%
    \ifx\@citeP\B@my@dummy%
        \if@F@cite\@F@citefalse\else{,\ }\fi%
	\csname Y@\@citeb\endcsname%
    \else%
        \if@F@cite\@F@citefalse\else{\BBC}\fi%
	\edef\@cite@undefined{?}%
	\ifx\@cite@undefined\B@my@dummy%
	  \csname Y@\@citeb\endcsname%
	\else%
	  \def\BBA{\BBAA}%
	  \csname b@\@citeb\endcsname\BBAY\csname Y@\@citeb\endcsname%
        \fi%
    \fi%
    \edef\@citeP{\csname b@\@citeb\endcsname}%
    }{\@BBN #2}\BBCP%
    \@F@citetrue}

\def\citeA{\def\BCAY##1##2##3{\BCA{##2}{##2}}%
           \@ifnextchar[{\def\@BBN{\BBN}\@citeA}%
                        {\def\@BBN{\ignorespaces}\@citeA[]}}

\def\fullciteA{\def\BCAY##1##2##3{\BCA{##1}{##1}}%
           \@ifnextchar[{\def\@BBN{\BBN}\@citeA}%
                        {\def\@BBN{\ignorespaces}\@citeA[]}}

\def\shortciteA{\def\BCAY##1##2##3{\BCA{##2}{##2}}%
           \@ifnextchar[{\def\@BBN{\BBN}\@citeA}%
                        {\def\@BBN{\ignorespaces}\@citeA[]}}

\def\@citeA[#1]#2{%
    \if@filesw\immediate\write\@auxout{\string\citation{#2}}\fi%
    \edef\@citeP{}%
    \@for\@citeb:=#2\do{%
    \@ifundefined{b@\@citeb}%
     {\expandafter\def\csname b@\@citeb\endcsname{?}%
      \expandafter\def\csname Y@\@citeb\endcsname{?}%
      \@warning{Citation `\@citeb' on page \thepage\space undefined}%
     }%
     {\@ifundefined{flag@\@citeb}%
      {\global\expandafter\def\csname flag@\@citeb\endcsname{DUMMY}%
       \def\BCA##1##2{##1}}%
      {\def\BCA##1##2{##2}}%
     }%
    \edef\B@my@dummy{\csname b@\@citeb\endcsname}%
    \ifx\@citeP\B@my@dummy%
        \if@F@cite\@F@citefalse\else{,\ }\fi%
	\csname Y@\@citeb\endcsname%
    \else%
        \if@F@cite\@F@citefalse\else{\BBCP,\ }\fi%
        \def\BBA{\BBAB}%
	\csname b@\@citeb\endcsname\ \BBOP\csname Y@\@citeb\endcsname%
    \fi%
    \edef\@citeP{\csname b@\@citeb\endcsname}%
    }{\@BBN #1}\BBCP%
    \@F@citetrue}

\def\citeauthor{\def\BCAY##1##2##3{\BCA{##1}{##2}}\@citeauthor}
\def\fullciteauthor{\def\BCAY##1##2##3{\BCA{##1}{##1}}\@citeauthor}
\def\shortciteauthor{\def\BCAY##1##2##3{\BCA{##2}{##2}}\@citeauthor}

\def\@citeauthor#1{%
    \if@filesw\immediate\write\@auxout{\string\citation{#1}}\fi%
    \edef\@citeP{}%
    \@for\@citeb:=#1\do{%
    \@ifundefined{b@\@citeb}%
     {\expandafter\def\csname b@\@citeb\endcsname{?}%
      \expandafter\def\csname Y@\@citeb\endcsname{?}%
      \@warning{Citation `\@citeb' on page \thepage\space undefined}%
     }%
     {\@ifundefined{flag@\@citeb}%
      {\global\expandafter\def\csname flag@\@citeb\endcsname{DUMMY}%
       \def\BCA##1##2{##1}}%
      {\def\BCA##1##2{##2}}%
     }%
    \edef\B@my@dummy{\csname b@\@citeb\endcsname}%
    \ifx\@citeP\B@my@dummy%
    \else%
        \if@F@cite\@F@citefalse\else{,\ }\fi%
        \def\BBA{\BBAB}%
	\csname b@\@citeb\endcsname%\ \BBOP\csname Y@\@citeb\endcsname%
    \fi%
    \edef\@citeP{\csname b@\@citeb\endcsname}%
    }%
    \@F@citetrue}

\def\citeyear{\def\BCAY##1##2##3{}%
           \@ifnextchar[{\def\@BBN{\BBN}\@citeyear}%
                        {\def\@BBN{\ignorespaces}\@citeyear[]}}

\def\@citeyear[#1]#2{%
    \if@filesw\immediate\write\@auxout{\string\citation{#2}}\fi%
    \edef\@citeP{}%
    \BBOP\@for\@citeb:=#2\do{%
    \@ifundefined{b@\@citeb}%
     {\expandafter\def\csname b@\@citeb\endcsname{?}%
      \expandafter\def\csname Y@\@citeb\endcsname{?}%
      \@warning{Citation `\@citeb' on page \thepage\space undefined}%
     }%
     {\@ifundefined{flag@\@citeb}%
      {\global\expandafter\def\csname flag@\@citeb\endcsname{DUMMY}}%
      {}%
     }%
    \edef\B@my@dummy{\csname b@\@citeb\endcsname}%
    \if@F@cite\@F@citefalse\else{,\ }\fi%
    \csname Y@\@citeb\endcsname%
    \edef\@citeP{\csname b@\@citeb\endcsname}%
    }{\@BBN #1}\BBCP%
    \@F@citetrue}

\def\nocite#1{\@bsphack%
    \if@filesw\immediate\write\@auxout{\string\citation{#1}}\fi%
    \@for\@citeb:=#1\do{%
    \@ifundefined{b@\@citeb}%
    {\edef\B@my@dummy{*}%
     \ifx\@citeb\B@my@dummy\else
     \@warning{Citation `\@citeb' on page \thepage\space undefined}\fi}%
    {\global\expandafter\def\csname flag@\@citeb\endcsname{DUMMY}}}%
    \@esphack}

\def\@biblabel#1{}


%図表番号の設定
%!!! 図表番号の後の空白変更 (2015/06/11 YD)  
\long\def\@makecaption#1#2{%
  \vskip\abovecaptionskip
  \iftdir\sbox\@tempboxa{#1\hskip1zw#2}%
    \else\sbox\@tempboxa{#1\hskip1zw#2}%
  \fi
  \ifdim \wd\@tempboxa >\hsize
    \iftdir #1\hskip1zw#2\relax\par
      \else #1\hskip1zw#2\relax\par\fi
  \else
    \global \@minipagefalse
    \hbox to\hsize{\hfil\box\@tempboxa\hfil}%
  \fi
  \vskip\belowcaptionskip}


% 英文論文の場合
\def\inenglish{%
  \def\tablename{Table~}
  \def\figurename{Figure~}
  \def\@abname{Abstract}
  \def\@kwname{Keywords:~}
  \def\@refname{References}
  \def\@ackname{Acknowledgment}
  \def\@appname{Appendix}
  \def\baselinestretch{0.85}
%  \let\vitabaselineskip\vitabaselineskipEn	% 著者紹介の行間
%  \let\vitaphotolines\vitaphotolinesEn		% 著者紹介の写真部分の行数
%  \def\@correspondingauthor{Corresponding Author. }
  \def\@maketitle{%
    \newpage\null
    \begin{center}
    \let\footnote\thanks
%     {\fontsize{16pt}{0pt}\selectfont {\bfseries \@title }\par}
     {\fontsize{16pt}{18pt}\selectfont {\bfseries \@etitle }\par}
      \vskip 1zh
      {\large
       \lineskip .5zh
%       \@author \par
       \@eauthor \par}%
      \vskip .5zh
%      \@affiliation \par
      \@eaffiliation \par
      \@email %
    \end{center}%
    \par\vskip 2zh}
}

\ProcessOptions\relax

